> ## Documentation Index
> Fetch the complete documentation index at: https://www.halite-app.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Top Failures Route



## OpenAPI

````yaml /api/openapi.json get /api/fleet/top-failures
openapi: 3.1.0
info:
  title: Halite
  version: 0.1.0
servers: []
security: []
paths:
  /api/fleet/top-failures:
    get:
      tags:
        - fleet
      summary: Top Failures Route
      operationId: top_failures_route_api_fleet_top_failures_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 10
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TopFailuresOut'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TopFailuresOut:
      properties:
        failures:
          items:
            $ref: '#/components/schemas/TopFailureOut'
          type: array
          title: Failures
      type: object
      required:
        - failures
      title: TopFailuresOut
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TopFailureOut:
      properties:
        state_id:
          type: string
          title: State Id
        name:
          type: string
          title: Name
        fun:
          type: string
          title: Fun
        failure_count:
          type: integer
          title: Failure Count
      type: object
      required:
        - state_id
        - name
        - fun
        - failure_count
      title: TopFailureOut
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````